RSAPSSSignatureRawCodec (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.sig.rsa.RSAPSSSignatureRawCodec,RSAPSSSignatureRawCodec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sig.rsa
Class RSAPSSSignatureRawCodec

    java.lang.Object
      |
      +--gnu.crypto.sig.rsa.RSAPSSSignatureRawCodec

All Implemented Interfaces:
  ISignatureCodec

public class RSAPSSSignatureRawCodec
extends java.lang.Object
implements ISignatureCodec

An object that implements the `ISignatureCodec` operations for the Raw format to use with RSA-PSS signatures.

Field Summary

Fields inherited from interface gnu.crypto.sig.ISignatureCodec
`RAW_FORMAT`

Constructor Summary
`RSAPSSSignatureRawCodec()`

Method Summary
`java.lang.Object` | `decodeSignature(byte[] k)`
`byte[]` | `encodeSignature(java.lang.Object signature)` Returns the encoded form of the designated RSA-PSS signature object according to the Raw format supported by this library.
`int` | `getFormatID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAPSSSignatureRawCodec

    public RSAPSSSignatureRawCodec()

Method Detail

### getFormatID

    public int getFormatID()

  Specified by:
    `getFormatID` in interface `ISignatureCodec`

### encodeSignature

    public byte[] encodeSignature(java.lang.Object signature)

  Returns the encoded form of the designated RSA-PSS signature object according to the Raw format supported by this library.

  The Raw format for an RSA-PSS signature, in this implementation, is a byte sequence consisting of the following:

  1. 4-byte magic consisting of the value of the literal `Registry.MAGIC_RAW_RSA_PSS_SIGNATURE`,
  3. 1-byte version consisting of the constant: 0x01,
  4. 4-byte count of following bytes representing the RSA-PSS signature bytes in internet order,
  5. the RSA-PSS signature bytes in internet order.

  Specified by:
    `encodeSignature` in interface `ISignatureCodec`
  Parameters:
    `signature` - the signature to encode, consisting of the output of the `sign()` method of a `RSAPSSSignature` instance --a byte array.
  Returns:
    the Raw format encoding of the designated signature.
  Throws:
    `java.lang.IllegalArgumentException` - if the designated signature is not an RSA-PSS one.

### decodeSignature

    public java.lang.Object decodeSignature(byte[] k)

  Specified by:
    `decodeSignature` in interface `ISignatureCodec`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.